aboutsummaryrefslogtreecommitdiffstats
path: root/test/test-forkoff.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-forkoff.sh')
-rwxr-xr-xtest/test-forkoff.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test/test-forkoff.sh b/test/test-forkoff.sh
new file mode 100755
index 0000000..13a42a4
--- /dev/null
+++ b/test/test-forkoff.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# Verify normal operation...
+uid=`id -u`
+gid=`id -g`
+if [ $uid -ne 0 -o $gid -ne 0 ]; then
+ exit 1
+fi
+
+export PSEUDO_DISABLED=1
+# Verify we dropped OUT of pseudo control
+uid=`id -u`
+gid=`id -g`
+if [ $uid -eq 0 -o $gid -eq 0 ]; then
+ exit 1
+fi
+
+exit 0